#include<bits/stdc++.h>
#include"partition.h"
using namespace std;
vector<int> solve(vector<int> A){
    long long N=A.size(),ans=A.size(),S=0;
    vector<int> best;
    vector<int> q;
    for(int i=0;i<N;i++) q.push_back(i);
    S=accumulate(A.begin(),A.end(),0LL);
    do{
        vector<int> x,y;
        long long s=0;
        for(int i=0;i<N;i++){
            if(s>=S/2LL) y.push_back(i);
            else x.push_back(i);
            s+=A[q[i]];
        }
        if(abs((int)y.size()-(int)x.size())<ans){
            ans=abs((int)y.size()-(int)x.size());
            best=q;
        }
    }
    while(next_permutation(q.begin(),q.end()));
    return best;
}